## assaultcube 1.1.0.4+dfsg

=== debian/changelog ===
assaultcube (1.1.0.4+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Can now connect to masterserver again (Closes: #604109)

    Copyright-related:
  * Remove several items unrelated to a Debian package
    - Notably files with various undocumented copyrights
    - Document this also in README.Debian
  * Make a -dfsg package and move to contrib (Closes: #613330)
  * New debian/copyright in DEP-5 format

    Build-related:
  * Trim debian/rules considerably using --sourcedirectory instead
  * Don't copy in config.sub config.guess
  * Add quilt patch system and specify source format 3.0
  * Add debian/README.source to note quilt and AC installing into source dir
  * debian/patches/10-fix-install-target.patch: Patch install target to not fail
    if target dir does not exist
  * debian/patches/20-fix-clean-target.patch: Fix clean target in makefile
    instead of rules
  * debian/patches/30-build-with-debug-symbols.patch: Add debug symbols when
     building
  * debian/patches/40-build-with-lX11.patch: add -lX11 flag to make it build ok

    Misc:
  * Update debian/watch
  * Update debian/control
    - Bump standards-version to 3.9.2
    - Depends on new version of assaultcube-data
    - Fix typo in Vcs-Browser:
    - Replace Uploader: -> Arand
  * Rewrite manpages
  * Rewrite launcher scripts
    - --help gives the manpage
    - Update versioned home dir for client
    - Use ac_server instead of "ac_client -d" for assaultcube-server, allowing
      to exit cleanly using [ctrl+c], but disabling the use of a versioned home
      for the server (better solutions welcome)

 -- Arand Nash <ienorand@gmail.com>  Sat, 07 May 2011 23:01:37 +0100

assaultcube (1.0.4repack1-3) unstable; urgency=low

  * use versionized home directory. The incoming 1.1 release will have
    incompatible setting files and the 1.02 and 1.04 are already
    incompatible. Add a README.Debian about this changes.
  * assaultcube-server now use ac_client -d so it's possible to use the
    --home flag.

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 03 Apr 2010 20:20:23 +0200

assaultcube (1.0.4repack1-2) unstable; urgency=low

  * Change the assaultcube script to use the game own mechanism to access
    user home directory
  * Remove the ~/.assaultcube/{bot,packages} symbolic links
  * The assaultcube-server script do not create the home directory
  * Add a versionized dependency on assaultcube-data

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Fri, 02 Apr 2010 23:24:21 +0200

assaultcube (1.0.4repack1-1) unstable; urgency=low

  * Initial release (Closes: #435809) 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Thu, 10 Sep 2009 20:55:15 +0200
