=== debian/control ===
Source: assaultcube
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Arand Nash <ienorand@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libsdl-image1.2-dev,
 libsdl1.2-dev, libgl1-mesa-dev, zlib1g-dev, libopenal-dev, libvorbis-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/non-free/packages/trunk/assaultcube/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/non-free/packages/trunk/assaultcube/?op=log
Homepage: http://assault.cubers.net/

Package: assaultcube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, assaultcube-data (>= 1.1.0.4+repack1)
Description: realistic first-person-shooter
 AssaultCube, formerly ActionCube, is a first-person-shooter based on the
 game Cube. Set in a realistic looking environment, as far as that's
 possible with this engine, while gameplay stays fast and arcade. This
 game is all about team oriented multiplayer fun.
