=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	rm -rf bin_unix/
	dh_auto_clean

%:
	dh $@ --sourcedirectory=source/src
