=== debian/changelog ===
assaultcube (1.1.0.4+dfsg2-1ubuntu1) trusty; urgency=low

  * Use dh-autoreconf for newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 20 Jan 2014 11:52:01 -0500

assaultcube (1.1.0.4+dfsg2-1) unstable; urgency=low

  * Correct license in lintian override comment
  * Add a get-orig-source target
  * doxygen and codeblocks re-added to orig source
  * Set unversioned dep5 copyright Format:-link, for now
  * Remove unneccesary "Copyright" from Copyright: fileds in d/copyright
  * Change all Arand -> Martin; same person, now with real name

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sun, 30 Oct 2011 14:57:14 +0100
