=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: assaultcube
 Section: contrib/games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Arand Nash <ienorand@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libsdl-image1.2-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, libsdl-image1.2-dev,
  libsdl1.2-dev, libgl1-mesa-dev, zlib1g-dev, libopenal-dev, libvorbis-dev
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/non-free/packages/trunk/assaultcube/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/non-free/packages/trunk/assaultcube/?op=log
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/non-free/packages/trunk/assaultcube/?view=log
 Homepage: http://assault.cubers.net/
 
 Package: assaultcube
