=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

override_dh_auto_clean:
	rm -rf bin_unix/
	dh_autotools-dev_updateconfig
	dh_auto_clean
	dh_autotools-dev_restoreconfig

%:
	dh $@ --sourcedirectory=source/src --with autoreconf

VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p')
DEB_VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
DIR=assaultcube-$(VER).orig
TARBALL=assaultcube_$(DEB_VER).orig.tar.gz
get-orig-source:
	uscan --noconf --force-download --download-current-version --destdir=.
	rm -rf $(VER) $(DIR)
	tar -xjf assaultcube_$(VER).orig.tar.bz2
	mv $(VER) $(DIR)
	cd $(DIR)/source/include/ && find . \! -path "*utf8*" -delete
	rm -rf $(DIR)/source/vcpp/
	rm -rf $(DIR)/source/xcode/
	rm -rf $(DIR)/source/lib/
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
		-f $(TARBALL) $(DIR)
	rm -rf $(DIR)
