=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//g \
 http://sf.net/actiongame/AssaultCube_v([\.0-9]+)_source\.tar\.bz2
