## assaultcube 1.2.0.2%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autotools-dev --sourcedirectory=source/src

override_dh_auto_clean:
	rm -rf bin_unix/
	dh_auto_clean
	cd source/enet
	rm -rf .deps Makefile config.* *.pc libtool

override_dh_auto_build:
	dh_auto_build -- \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS)" \
		CXXFLAGS="$(CXXFLAGS)" \
		LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	install -D source/src/ac_client \
		debian/tmp/usr/lib/games/assaultcube/assaultcube
	install -D source/src/ac_server \
		debian/tmp/usr/lib/games/assaultcube/assaultcube-server

VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p')
DEB_VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
DIR=assaultcube-$(VER).orig
TARBALL=assaultcube_$(DEB_VER).orig.tar.gz
get-orig-source:
	uscan --noconf --force-download --download-current-version --destdir=.
	rm -rf $(VER) $(DIR)
	tar -xjf assaultcube_$(VER).orig.tar.bz2
	mv AssaultCube_v$(VER).source $(DIR)
	cd $(DIR)/source/include/ && find . \! -path "*utf8*" -delete
	rm -rf $(DIR)/source/vcpp/
	rm -rf $(DIR)/source/xcode/
	rm -rf $(DIR)/source/lib/
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
		-f $(TARBALL) $(DIR)
	rm -rf $(DIR)
