=== debian/changelog ===
assaultcube (1.2.0.2+dfsg1-0ubuntu4) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:44:31 +0000

assaultcube (1.2.0.2+dfsg1-0ubuntu3) zesty; urgency=medium

  * d/p/0010-fix-some-errors-and-warnings-for-GCC6.patch: Cherry picked.
    - "Fix some errors and warnings for GCC 6" (LP: #1661449)

 -- Unit 193 <unit193@ubuntu.com>  Thu, 02 Feb 2017 19:18:52 -0500

assaultcube (1.2.0.2+dfsg1-0ubuntu2) wily; urgency=medium

  * d/p/0003-Clean-Enet-in-AC-clean-target.patch:
    -  Don't run configure before distclean. (LP: #1465236)

 -- Unit 193 <unit193@ubuntu.com>  Mon, 15 Jun 2015 19:44:57 -0400

assaultcube (1.2.0.2+dfsg1-0ubuntu1) wily; urgency=medium

  [ Unit 193 ]

  * Pull from Debian unreleased VCS.
  * d/control:
    - Build-dep on libcurl4-openssl-dev.
    - Use canonical Vcs-* URLs.
  * d/watch: Correct to find current releases.

  [ Šarūnas Snapkauskas ]

  * Store v1.2 user data in a separate folder in ~/.assaultcube
  * Cherry picked stability patches from upstream.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 13 Feb 2015 03:13:24 -0500

assaultcube (1.1.0.4+dfsg3-1) unstable; urgency=low

  * Start windowed by default
  * d/control: Nicer depends on ac-data
    - (>= 1.1.0.4+repack1) -> (>> 1.1.0.4+repack1-1~)
  * doxygen and codeblocks re-added to orig source (for real this time)
  * Add unversioned build dependency alternatives
    - libsdl1.2-dev   -> libsdl-dev
    - libgl1-mesa-dev -> libgl-dev
    - zlib1g-dev      -> libz-dev
  * Standards-Version 3.9.3
    - Set final DEP-5 Format: link
  * Enable hardening
    - dh compat level 9
    - Added build-with-ldflags.patch:
      Patch which appends $(LDFLAGS) for hardening linker options
    - Removed build-with-debug-symbols.patch
      Now handled in d/rules instead

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Tue, 28 Feb 2012 01:04:22 +0100

assaultcube (1.1.0.4+dfsg2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * dh-autoreconf to support new architectures (Closes: 764152)

 -- Wookey <wookey@debian.org>  Wed, 29 Oct 2014 05:01:52 +0000
