=== debian/control ===
Source: assaultcube
Section: contrib/games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libcurl4-openssl-dev,
               libgl1-mesa-dev | libgl-dev,
               libopenal-dev,
               libsdl-image1.2-dev,
               libsdl1.2-dev | libsdl-dev,
               libvorbis-dev,
               zlib1g-dev | libz-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-games/assaultcube.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/assaultcube.git
Homepage: http://assault.cubers.net/

Package: assaultcube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, assaultcube-data (>> 1.2.0.2+repack~)
Description: realistic first-person shooter
 AssaultCube is a first-person shooter set in a realistic-looking environment.
 The arcade-style gameplay is fast-pased and favours team oriented, multiplayer
 fun.
